Bug 961515 - SwapError: mkswap failed for '/dev/mapper/fedora_fnext--tst2-swap' [NEEDINFO]
SwapError: mkswap failed for '/dev/mapper/fedora_fnext--tst2-swap'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:e5b89e532b7ad7ae56ecb2c2f1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 15:22 EDT by Reartes Guillermo
Modified: 2014-03-13 15:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 15:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (rtguille)


Attachments (Terms of Use)
File: anaconda.log (14.74 KB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: backtrace (1.21 KB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: environ (760 bytes, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (648 bytes, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: lsblk_output (2.57 KB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: nmcli_dev_list (3.31 KB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: program.log (50.20 KB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: storage.log (190.01 KB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: syslog (78.85 KB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details
File: anaconda-tb (1.61 MB, text/plain)
2013-05-09 15:22 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2013-05-09 15:22:13 EDT
Description of problem:
I starting installing XFCE Desktop, selected LVM automatic partitioninig, set it to delete the two disks. (lvm or md raid).
Anaconda crashed creating lvmpv on /dev/vda2.

The following was filed automatically by anaconda:
anaconda 19.24-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/swap.py", line 47, in mkswap
    raise SwapError("mkswap failed for '%s'" % device)
  File "/usr/lib/python2.7/site-packages/blivet/formats/swap.py", line 163, in create
    swap.mkswap(self.device, label=self.label)
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 471, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 117, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
SwapError: mkswap failed for '/dev/mapper/fedora_fnext--tst2-swap'

Version-Release number of selected component:
anaconda-19.24-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC3\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC3

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 117, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 471, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/formats/swap.py", line 163, in create
    swap.mkswap(self.device, label=self.label)
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/swap.py", line 47, in mkswap
    raise SwapError("mkswap failed for '%s'" % device)
SwapError: mkswap failed for '/dev/mapper/fedora_fnext--tst2-swap'
Comment 1 Reartes Guillermo 2013-05-09 15:22:17 EDT
Created attachment 745791 [details]
File: anaconda.log
Comment 2 Reartes Guillermo 2013-05-09 15:22:19 EDT
Created attachment 745792 [details]
File: backtrace
Comment 3 Reartes Guillermo 2013-05-09 15:22:22 EDT
Created attachment 745793 [details]
File: environ
Comment 4 Reartes Guillermo 2013-05-09 15:22:24 EDT
Created attachment 745794 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2013-05-09 15:22:26 EDT
Created attachment 745795 [details]
File: lsblk_output
Comment 6 Reartes Guillermo 2013-05-09 15:22:28 EDT
Created attachment 745796 [details]
File: nmcli_dev_list
Comment 7 Reartes Guillermo 2013-05-09 15:22:31 EDT
Created attachment 745797 [details]
File: program.log
Comment 8 Reartes Guillermo 2013-05-09 15:22:34 EDT
Created attachment 745798 [details]
File: storage.log
Comment 9 Reartes Guillermo 2013-05-09 15:22:38 EDT
Created attachment 745799 [details]
File: syslog
Comment 10 Reartes Guillermo 2013-05-09 15:22:59 EDT
Created attachment 745800 [details]
File: anaconda-tb
Comment 11 David Shea 2014-02-28 10:14:53 EST
Does this still occur with F20 or rawhide?

Note You need to log in before you can comment on or make changes to this bug.